Get test plan configuration(s)
GET
/testplanconfigurations/{id}Get list of configuration(s) added for a test plan
Example
Section titled “Example”Use resource IDs from your own project. Keep the API token in your server or CI environment.
import { createConfiguration, TestPlansConfigsApi } from '@testcollab/sdk';
const config = createConfiguration(process.env.TESTCOLLAB_TOKEN!);const api = new TestPlansConfigsApi(config);
const result = await api.getTestPlanConfig({ "id": 123});console.log(result);curl --request GET \ "https://api.testcollab.io/testplanconfigurations/123?token=$TESTCOLLAB_TOKEN"Parameters
Section titled “Parameters”| Name | Location | Type | Required | Description |
|---|---|---|---|---|
id |
path | number | Yes | Test Plan configuration ID |
Response
Section titled “Response”200 — configuration
| Field | Type | Required | Description |
|---|---|---|---|
id |
number | Yes | — |
parameters |
Array of Config Combination | Yes | — |
assigned_to |
User Minified | No | — |
assigned_to.id |
number | Yes | — |
assigned_to.username |
string | No | — |
assigned_to.name |
string | Yes | — |
assigned_to.avatar |
Upload | No | — |
assigned_to.avatar.id |
number | Yes | — |
assigned_to.avatar.name |
string | Yes | — |
assigned_to.avatar.hash |
string | Yes | — |
assigned_to.avatar.ext |
string | Yes | — |
assigned_to.avatar.mime |
string | Yes | — |
assigned_to.avatar.size |
string | Yes | — |
assigned_to.avatar.url |
string | Yes | — |
assigned_to.avatar.created_by |
number | No | — |
assigned_to.avatar.created_at |
string | Yes | — |
assigned_to.avatar.updated_at |
string | Yes | — |
assigned_to.is_guest |
number | No | — |
{ "id": 123, "parameters": [], "assigned_to": { "id": 123, "username": "example", "name": "example", "avatar": { "id": 123, "name": "example", "hash": "example", "ext": "example", "mime": "example", "size": "example", "url": "example", "created_by": 123, "created_at": "example" }, "is_guest": 123 }}Errors
Section titled “Errors”| Status | Meaning |
|---|---|
401 |
Unauthorized |
403 |
Forbidden |
404 |
Not found |
500 |
Internal server error |